/**
 * `keycloak-angular-authorization` initialization options.
 */
export interface KeycloakAuthorizationOptions {
    /**
     * It is the same parameter passed as the configuration
     * of the `keycloak.js` instance in `keycloak-angular`
     * (see {@link KeycloakOptions.config}).
     *
     * It can be an {@link Keycloak.KeycloakConfig} object,
     * or an URL string pointing to a JSON config file
     * (in this case beware of sensitive data, since the file
     * will be publicly available).
     * If `undefined`, the URL will be `/keycloak.json`.
     */
    config: Keycloak.KeycloakConfig | string | undefined;
    /**
     * The id of the resource server for which the entitlements are checked by default
     * when no resource server id is specified.
     */
    defaultResourceServerId?: string;
}
