import { KeycloakService } from 'keycloak-angular';
import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { KeycloakAuthorizationService } from './authorization.service';
import type { AssignedKeycloakPermission } from '../interfaces';
export declare abstract class KeycloakAuthorizationGuard implements CanActivate {
    protected router: Router;
    protected keycloakAuthentication: KeycloakService;
    protected keycloakAuthorization: KeycloakAuthorizationService;
    protected authenticated?: boolean;
    protected permissions?: AssignedKeycloakPermission[];
    constructor(router: Router, keycloakAuthentication: KeycloakService, keycloakAuthorization: KeycloakAuthorizationService);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean>;
    abstract isAccessAllowed(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean>;
}
